<?php


$address = filter_input(INPUT_POST, 'address', FILTER_VALIDATE_INT, [
    "options" => [
        "min_range" => 0,
        "max_range" => 4294967295
    ]
]);
$mask = filter_input(INPUT_POST, 'mask', FILTER_VALIDATE_INT, [
    "options" => [
        "min_range" => 0,
        "max_range" => 32
    ]
]);

echo long2ip($address), "/", $mask;