<?php

require_once "load.php";

$dhcp_options = "";
$dhcp_ranges = "";
foreach($networks as $tag => $options) {
    foreach($options as $option => $value) {
        if ($option == "dhcp-range") {
            $dhcp_ranges .= "dhcp-range=set:$tag,{$value["start_addr"]},{$value["end_addr"]}";
            if (isset($value["netmask"]))    $dhcp_ranges .= ",{$value["netmask"]}";
            if (isset($value["lease_time"])) $dhcp_ranges .= ",{$value["lease_time"]}";
            $dhcp_ranges .= "\n";
        } else {
            $dhcp_options .= "tag:$tag,option:$option,$value\n";
        }
    }
}

try {
    file_put_contents($conf["dhcp-optsfile"], $dhcp_options);
} catch (Exception $e) {
    http_response_code(500);
    die($e->getMessage());
}

try {
    file_put_contents($conf["conf-file"], $dhcp_ranges);
} catch (Exception $e) {
    http_response_code(500);
    die($e->getMessage());
}

echo $dhcp_ranges;